#!/usr/bin/env julia

using Plots

function plot_discrete_tval(index, t_values, xlabel; size=(800, 533))
    t_plot = plot(index, t_values, legend=false, minorgrid=true, xlabel=xlabel, ylabel="t-value", size=size)
    hline!(t_plot, [4.5])
    return t_plot
end

function plot_power_measurements(index, t_values; size=(800, 533), color=:auto)
    t_plot = plot(index, t_values, legend=false, minorgrid=true, xlabel="time", ylabel="power comsumption", size=size, color=color, linealpha=0.5, dpi=250)
    return t_plot
end
